[HEADS UP] Help needed to test incoming version 4.10.0

Archive of the non-categorized posts related to the QLC+ technical support.
Please do not create new threads here, instead, use the categories above !
Post Reply
Flo
Posts: 27
Joined: Sun Jun 28, 2015 6:14 am
Real Name: Florian

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by Flo » Sun Oct 04, 2015 7:41 am

I just tested some adapters on OS X:

- The DMX4All StageProfi Mk2 still works. :-)
- The DMX4All NanoDMX works, too. Thanks for that!
- But the Eurolite DMX512-Pro does not work. It is recognized, but I can't get any output.

- It doesn't work to use more than one adapter. If I connect two of them, both are recognized. But as soon as I try to set the checkbox for the second universe I get the error message "An error occurred during opening the device". (And no output, of course.)

(All tests are made on a Mac with Yosemite, tried both with the Apple's own FTDI driver enabled and disabled)

User avatar
mcallegari
Posts: 1682
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by mcallegari » Sun Oct 04, 2015 7:41 am

Flo wrote:But the Eurolite DMX512-Pro does not work. It is recognized, but I can't get any output.
The Eurolite should work in OSX only if the driver in use is "QtSerialPort". Is that your case ?
Unfortunately I don't have the device, so I mostly copied the sequence I used for the NanoDMX.
Flo wrote:It doesn't work to use more than one adapter. If I connect two of them, both are recognized. But as soon as I try to set the checkbox for the second universe I get the error message "An error occurred during opening the device". (And no output, of course.)
More details please. Which adapters did you try to use together and which driver were you using ? (libFTDI or QtSerialPort)
Thanks

debbio
Posts: 23
Joined: Wed May 06, 2015 10:18 am
Real Name:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by debbio » Sun Oct 04, 2015 10:07 am

On archlinux x64 with ENTTEC Mk2, qlcplus-qt4 works without problem.. Adding your repository and trying the version qlcplus-qt4-git I receive a 404 error on the server, no problem with qlcplus-qt4

User avatar
mcallegari
Posts: 1682
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by mcallegari » Sun Oct 04, 2015 10:07 am

debbio wrote:On archlinux x64 with ENTTEC Mk2, qlcplus-qt4 works without problem.. Adding your repository and trying the version qlcplus-qt4-git I receive a 404 error on the server, no problem with qlcplus-qt4
The Arch repository seems to be online, so if it worked with qlcplus-qt4, it should work with -git version too. (the files are in the same place)
Can you please post the complete error message ? Maybe the URL causing 404 is just wrong.

Flo
Posts: 27
Joined: Sun Jun 28, 2015 6:14 am
Real Name: Florian

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by Flo » Sun Oct 04, 2015 3:42 pm

mcallegari wrote:
Flo wrote:But the Eurolite DMX512-Pro does not work. It is recognized, but I can't get any output.
The Eurolite should work in OSX only if the driver in use is "QtSerialPort". Is that your case ?
Yes: "Driver in use: QtSerialPort"
One thing to mention: QLC+ doesn't seem to automatically set the right protocol mode for the adapters. I have to manually switch it between "DMX4All" and "Eurolite" in the settings.
mcallegari wrote:
Flo wrote:It doesn't work to use more than one adapter. If I connect two of them, both are recognized. But as soon as I try to set the checkbox for the second universe I get the error message "An error occurred during opening the device". (And no output, of course.)
More details please. Which adapters did you try to use together and which driver were you using ? (libFTDI or QtSerialPort)
Thanks
I tried the combinations StageProfi+NanoDMX and NanoDMX+Eurolite. All of them use the QtSerialPort driver. How do I activate the libFTDI driver?

Are there plans to enable the two new adapters on Windows, too? And, BTW: The new feature to reset single channels in the simple desk is great! :-) I missed that a lot.

Flo
Posts: 27
Joined: Sun Jun 28, 2015 6:14 am
Real Name: Florian

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by Flo » Sun Oct 04, 2015 4:48 pm

I just found another little bug:
I manually set the channels per page of the simple desk to 30 (because 32 are too wide for my MacBook). Now I can't reach the last two channels (511 and 512) because after page 17 QLC+ directly jumps back to 1.

janosvitok
Posts: 731
Joined: Mon Apr 13, 2015 7:05 am
Location: Bratislava, Slovakia
Real Name: Jano Svitok
Contact:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by janosvitok » Sun Oct 04, 2015 4:48 pm

Flo wrote:I just found another little bug:
I manually set the channels per page of the simple desk to 30 (because 32 are too wide for my MacBook). Now I can't reach the last two channels (511 and 512) because after page 17 QLC+ directly jumps back to 1.
Fixed in git.

debbio
Posts: 23
Joined: Wed May 06, 2015 10:18 am
Real Name:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by debbio » Sun Oct 04, 2015 8:54 pm

Here it is the error code on archlinux:

Code: Select all

:: Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti in corso...
errore: impossibile scaricare il pacchetto 'qlcplus-qt4-git-4.10.0.20150929.063005b-0-x86_64.pkg.tar.xz' da download.opensuse.org : The requested URL returned error: 404
attenzione: impossibile scaricare alcuni file
errore: impossibile eseguire l'operazione richiesta (errore inaspettato)
Si sono verificati degli errori, nessun pacchetto è stato aggiornato.
  

User avatar
mcallegari
Posts: 1682
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by mcallegari » Sun Oct 04, 2015 8:54 pm

debbio wrote:Here it is the error code on archlinux:

Code: Select all

errore: impossibile scaricare il pacchetto 'qlcplus-qt4-git-4.10.0.20150929.063005b-0-x86_64.pkg.tar.xz' da download.opensuse.org : The requested URL returned error: 404
Got it. You're trying to download a version that's not on the server anymore.
See here: http://download.opensuse.org/repositori ... ra/x86_64/
Being GIT versions, I retrigger the build every few days, so you should update your packages list before trying to install a GIT version.
Now I have no idea how this is done on Arch. On Ubuntu it is something like "apt-get update"

User avatar
mcallegari
Posts: 1682
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: [HEADS UP] Help needed to test incoming version 4.10.0

Post by mcallegari » Sun Oct 04, 2015 9:11 pm

Flo wrote:One thing to mention: QLC+ doesn't seem to automatically set the right protocol mode for the adapters. I have to manually switch it between "DMX4All" and "Eurolite" in the settings.
In theory you should never touch the protocol mapping. Can you please delete your QLC+ preference file and start from scratch ?
Flo wrote:I tried the combinations StageProfi+NanoDMX and NanoDMX+Eurolite. All of them use the QtSerialPort driver.
You actually found a monster bug. It was there in 4.9.x too. It's fixed now on GIT.
Flo wrote:How do I activate the libFTDI driver?
In OSX, just disable the Apple driver and all the adapters should be detected by libFTDI.
Flo wrote:Are there plans to enable the two new adapters on Windows, too?
No. Windows works with drivers and each adapter must have its own. With FTDI adapters it's easy cause there is a documented SDK to use them.
NanoDMX and Eurolite don't use FTDI chips, so I suppose they have their own drivers and I'm not planning to support them.

Post Reply